README
======

Run `./run.sh` to see the following on you terminal:

![Screenshot](screenshot1.jpg)

Date/time and jokes vary fonts a bit just to keep it interesting. That is it, nothing more to it than that :-)

More screenshots: [1](screenshot1.jpg), [2](screenshot2.jpg), [3](screenshot3.jpg)

Installing
----------

Install [FIGlet](http://www.figlet.org). E.g. on ubuntu:

```sh
 $ sudo apt install figlet
```

On macOS:

```sh
 $ brew install figlet
```

Clone repo:

```sh
 $ git clone https://git.rzen.dev/rzen/terminal-joke-dashboard.git
```

Run:

```sh
 $ ./run.sh
```

To exit simply press `Control-C`.

Customizing
-----------

Tweak `dash.sh`.

More figlet fonts can be found on the [figlet website](http://www.figlet.org). To preview fonts, download them into a directry, `cd` there and then run something like:

```sh
 $ for f in `find . -name "*.flf"`; do echo "$f:"; echo "The quick brown fox jumps over the lazy dog" | figlet -w `tput cols` -ncf $f; date +%n%D%n%T | figlet -w `tput cols` -ncf $f; done
```

Credits
-------

As it turns out, jokes float around the internet and its nearly impossible to track down origin (with rare exceptions, when individual jokes are credited to the author). Here is a list of websites I copy/pasted jokes from.

- [110 of the best jokes for kids that are genuinely funny](https://inews.co.uk/light-relief/jokes/jokes-kids-funny-159437) inews.co.uk
- [137 One-Liner Jokes As Punny As They Are Funny](https://www.scarymommy.com/one-liner-jokes/) Scary Mommy
- [FIGlet](http://www.figlet.org) FIGlet is a program for making large letters out of ordinary text
